from django.conf import settings
from ..core.forms import ContactForm


def contact_form(request):
    return {'contact_form': ContactForm()}

def get_site_name():
    from django.utils.translation import get_language
    lang = get_language()

    if lang == 'en':
        return settings.SITE_NAME_EN
    if lang == 'es':
        return settings.SITE_NAME_ES
    if lang == 'pt-br':
        return settings.SITE_NAME_PT_BR
    return settings.SITE_NAME

def site_settings(request):
    return {'site': {
        'domain': settings.SITE_DOMAIN,
        'home': settings.SITE_HOME,
        'name': get_site_name(),
        'YOUTUBE_API_KEY': settings.YOUTUBE_API_KEY}
    }

def get_current_path(request):

    return {'current_path': request.get_full_path()}


def terms_acceptance_required(request):
    return {'terms_required': settings.TERMS_ACCEPTANCE_REQUIRED}
