from braces.views import LoginRequiredMixin
from django.shortcuts import get_object_or_404
from django.views.generic.base import TemplateView

from courses.models import Course


class CourseNotesView(LoginRequiredMixin, TemplateView):
    template_name = 'course-notes.html'

    def get_context_data(self, **kwargs):
        # Call the base implementation first to get a context
        context = super(CourseNotesView, self).get_context_data(**kwargs)
        context['course'] = get_object_or_404(Course, slug=self.kwargs['course_slug'])
        return context
