(function(angular){
    "use strict";

    angular.module("edit-forum", [
        "gettext",
        "django",
        "timtec-models",
        "ngResource",
        "youtube",
        "ui.bootstrap",
        "shared",
    ]);

    angular.module("edit-forum").run(["gettextCatalog", "UserLocalStorage", function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get("currentLanguage") || "en";

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set("currentLanguage", defaultLanguage);

        // UserLocalStorage.set("currentLanguage", "es");
        gettextCatalog.setStrings("es", {"(minimum width: 845px)":"(ancho mínimo: 845px)","Cancel":"Cancelar","Change thumbnail":"Cambiar thumbnail","Change video":"Cambiar video","Choose language":"Seleccione el idioma ","Datasheet":"Ficha técnica","Delete":"Eliminar","Delete course":"Eliminar curso","Draft":"Sequía","Drag left or right. Minimum 50%.":"Arrastra hacia la izquierda o hacia la derecha. Mínimo 50%.","Export":"Exportar","Export course":"Curso de exportación","Home thumbnail":"Thumbnail de inicio","Insert":"Insertar","Insert module":"Insertar módulo","Introduction video":"Video de introducción","Presentation":"Presentación","Public":"Público","Save":"Guardar","Save course":"Guardar curso","Modules":"Modulos","Start date":"Fecha de inicio","Module name":"Nombre del módulo","This course is":"Este curso es","Thumbnail":"Thumbnail","Units":"Unidades","Video":"Video","What content will we have here?":"¿Qué contenido tendremos aquí?","What do I need to know?":"¿Qué necesito saber?","What is the best option to present this course?":"¿Cuál es la mejor opción para presentar este curso?","Who is here?":"¿Quién está aquí?","Why Should You Take This Course?":"¿Por qué hacer este curso?","Delete module":"Eliminar módulo","Edit module":"Editar módulo","activities":"actividades","videos":"videos", "Minimum progress towards certificate":"Progreso mínimo hacia el certificado","What you learn at this course":"Lo que aprendes en este curso", "Continue course":"Continuar curso", "Start course":"Iniciar curso","Course authors":"Autores del módulo","Name":"Nombre","Save":"Salvar", "Close":"Cerrar","Delete":"Eliminar","Insert author":"Insertar autor",
        "Instructors":"Instructores","Home":"Inicio","Options":"Opciones","Messages":"Mensajes","Reports":"Informes","Permissions":"Permisos","Certificate":"Certificado","Classes":"Clases","Additional":"Adicional","materials":"materiales","Edit the course name and link below":"Edite el nombre del curso y el enlace a continuación","Unit name":"Nombre de la unidad"}
        );
        gettextCatalog.setStrings("pt_br", {"(minimum width: 845px)":"(largura mínima: 845px)","Cancel":"Cancelar","Change thumbnail":"Alterar thumbnail","Change video":"Mudar o vídeo","Choose language":"Escolha o idioma","Datasheet":"Ficha técnica","Delete":"Excluir","Delete course":"Excluir curso","Draft":"Rascunho","Drag left or right. Minimum 50%.":"Arraste para a esquerda ou direita. Mínimo 50%.","Export":"Exportar","Export course":"Curso de exportação","Home thumbnail":"Thumbnail de ínicio","Insert":"Inserir","Insert module":"Inserir módulo","Introduction video":"Vídeo de introdução","Presentation":"Apresentação","Public":"Público","Save":"Salvar","Save course":"Salvar curso","Modules":"Módulos","Start date":"Data de início","Module name":"Nome do módulo","This course is":"Este curso é","Thumbnail":"Thumbnail","Units":"Unidades:","Video":"Vídeo","What content will we have here?":"Que conteúdo teremos aqui?","What do I need to know?":"O que eu preciso saber?","What is the best option to present this course?":"Qual a melhor opção para apresentar este curso?","Who is here?":"Quem está aqui?", "Why Should You Take This Course?":"Por que fazer este curso?", "Delete module":"Excluir módulo","Edit module":"Editar módulo","activities":"atividades","videos":"videos", "Minimum progress towards certificate":"Progresso mínimo para certificado","What you learn at this course":"O que você aprende neste curso","Continue course":"Continuar o curso", "Start course":"Começar o curso","Course authors":"Autores do curso","Name":"Nome","Save":"Salvar", "Close":"Fechar","Delete":"Excluir","Insert author":"Inserir autor",
        "Instructors":"Instrutores","Home":"Início","Options":"Opções","Messages":"Mensagens","Reports":"Relatórios","Permissions":"Permissões","Certificate":"Certificado","Classes":"Turmas","Edit the course name and link below":"Edite o nome do curso e o link abaixo","Unit name":"Nome da Unidade"});
    }]);
})(window.angular);
