(function (angular) {
    'use strict';

    angular.module('courseMaterial', [
        'gettext',
        'courseMaterial.controllers',
        'courseMaterial.services',
        'courseMaterial.filters',
        'django',
        'directive.alertPopup',
        'ui.tinymce',
        'shared',
    ]);

    angular.module('courseMaterial').run(['gettextCatalog', 'UserLocalStorage', function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get('currentLanguage') || 'en';

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set('currentLanguage', defaultLanguage);

        // UserLocalStorage.set('currentLanguage', 'es');
        gettextCatalog.setStrings('es', {"Additional Materials":"Materiales adicionales","Text that students will see in the area of additional materials":"Texto que los estudiantes verán en el área de materiales adicionales","cancel":"cancelar","create text":"crear texto","delete material":"eliminar material","edit":"editar", "No files in course material": "No hay archivos en el material del curso", "Materials": "Materiales", "Insert a name for the file": "Ingrese un nombre para el archivo", "Select the language for the materials": "Seleccione el idioma de los materiales",
        "Files upload":"Carga de archivos","Are you sure you want to delete this file?":"¿Está seguro de que desea eliminar este archivo?"});
        gettextCatalog.setStrings('pt_br', {"Additional Materials":"Materiais adicionais","Text that students will see in the area of additional materials":"Texto que os alunos verão na área de materiais adicionais","cancel":"Cancelar","create text":"criar texto","delete material":"excluir material","edit":"editar", "No files in course material": "Nenhum arquivo no material do curso", "Materials": "Materiais", "Insert a name for the file": "Insira um nome para o arquivo", "Select the language for the materials": "Selecione o idioma para os materiais",
        "Files upload":"Adicionar arquivos","Are you sure you want to delete this file?":"Tem certeza que dejeja apagar este arquivo?"});
    }]);

})(angular);
