(function(angular){
    'use strict';
    var app = angular.module('main-nav.controllers', []);

    app.controller('MainNavCtrl', [
        '$scope', 'Message', 'MessageCount',
        function ($scope, Message, MessageCount) {

            // Count unread messages for display in the main navigation
            $scope.messages_unread_count = MessageCount.get({unread: true})

            // Listens to 'message' events triggered by the Rocket Chat iframe
            $scope.chat = {
                notifications: 0
            };
            window.addEventListener('message', function(e) {
                if(e.data.eventName === 'unread-changed'){
                    const counter = e.data.data;
                    if(counter > 9)
                        // if there are more than 9 notifications, reduce the number
                        $scope.chat.notifications = "9+";
                    else if(counter === "" || counter === "•")
                        // If the data value is empty, then it must be set to zero
                        $scope.chat.notifications = "0";
                    else
                        // Otherwise, the number must be used as is
                        $scope.chat.notifications = counter;

                    // Ensures that the template is updated as soon as possible
                    $scope.$apply();
                }
            });
        }
    ]);

})(window.angular);
