(function(angular){
    'use strict';

    angular.module('messages', [
        'messages.controllers',
        'messages.services',
        'discussion.services',
        'djangular',
        'core.services',
        'ui.bootstrap',
        // 'ui.select',
        'ui.tinymce',
        'angular.filter',
        'checklist-model',
        // 'ngRoute',
        'ngFileUpload',
        'shared',
        'gettext',
    ]);
    
    angular.module("messages").run(["gettextCatalog", "UserLocalStorage", function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get("currentLanguage") || "en";

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set("currentLanguage", defaultLanguage);

        // UserLocalStorage.set("currentLanguage", "es");
        gettextCatalog.setStrings('es', {"Actions":"Acciones","Announcements":"Avisos","Close":"Cerrar","Email":"Email","Full name":"Nombre completo","General announcements":"Avisos generales","Loading Classes...":"Cargando clases ...","New announcement":"Nuevo aviso","Please enter the subject of the announcement.":"Por favor ingrese el asunto de la notificación.","Please insert the text of the announcement.":"Inserte el texto de la notificación.","Please select at least":"Por favor seleccione al menos","Please select at least one class.":"Seleccione al menos una clase.","Send":"Enviar","Send to all students on the platform":"Enviar a todos los estudiantes en la plataforma","Send to my classes for this course":"Enviar a mis clases para este curso","Specify groups":"Especificar grupos","Specify users individually":"Especificar usuarios individualmente","There are currently no important announcement in this course for you.":"Actualmente no hay ninguna notificación importante en este curso para usted.","User":"Usuario","You haven't received any announcement yet.":"Aún no has recibido ninguna notificación.","hide":"esconder","see":"ver","see all announcements":"ver todas las notificaciones","see full announcement":"ver notificación completa","Send to all classes in this course":"Enviar a todas las clases de este curso","Notices are also sent to users' email.":"Los avisos también se envían al correo electrónico de los usuarios."});
        gettextCatalog.setStrings('pt_br', {"Actions":"Ações","Announcements":"Avisos","Close":"Fechar","Email":"Email","Full name":"Nome completo","General announcements":"Avisos Gerais","Loading Classes...":"Carregando turmas ...","New announcement":"Novo aviso","Please enter the subject of the announcement.":"Por favor, insira o assunto do aviso.","Please insert the text of the announcement.":"Por favor, insira o texto do aviso.","Please select at least":"Selecione pelo menos","Please select at least one class.":"Selecione pelo menos uma classe.","Send":"Enviar","Send to all classes in this course":"Enviar para todas as turmas deste curso","Send to my classes for this course":"Enviar para minhas turmas deste curso","Specify groups":"Especificar os grupos","Specify users individually":"Especificar os usuários individualmente","There are currently no important announcement in this course for you.":"Atualmente, não há nenhum aviso importante neste curso para você.","User":"Usuário","You haven't received any announcement yet.":"Você ainda não recebeu nenhum aviso.","hide":"ocultar","see":"ver","see all announcements":"ver todos os avisos","see full announcement":"ver o aviso completo","Send to all students on the platform":"Enviar para todos os alunos na plataforma","Notices are also sent to users' email.":"Os avisos também são enviados para o email dos usuários."});
    }]);
})(angular);
