
(function (angular) {
    'use strict';

    // Declare app level module which depends on filters, and services
    angular.module('notes', [
        'notes.controllers',
        'notes.services',
        'core.services',
        'django',
        'gettext',
        'ui.bootstrap',
        'shared',
    ]);


    angular.module("notes").run(["gettextCatalog", "UserLocalStorage", function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get("currentLanguage") || "en";

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set("currentLanguage", defaultLanguage);

        // UserLocalStorage.set("currentLanguage", "es");
        gettextCatalog.setStrings('es', {"COURSE NOTES":"NOTAS DEL CURSO","Delete":"Borrar","Display":"Mostrar","Edit":"Editar","Hide":"Esconder","You have":"Tú tienes","note":"nota","You have not yet made any notes in this course.":"Aún no ha tomado notas en este curso."});
        gettextCatalog.setStrings('pt_br', {"COURSE NOTES":"ANOTAÇÕES DO CURSO","Delete":"Excluir","Display":"Exibir","Edit":"Editar","Hide":"Ocultar","You have":"Você tem","note":"anotação","You have not yet made any notes in this course.":"Você ainda não fez nenhuma anotação neste curso."});

    }]);
})(angular);
