(function() {
    'use strict';

    angular
        .module('userParticipationReport')
        .component('userParticipationReport', {
            templateUrl: '/user-participation-report.template.html',
            controller: UserParticipationReportCtrl,
            bindings: {
                user: '<',
            },
        });

    UserParticipationReportCtrl.$inject = ['$scope', '$document', '$timeout', 'GeneralFilterOptions'];

    function UserParticipationReportCtrl ($scope, $document, $timeout, GeneralFilterOptions) {

        var ctrl = this;

        ctrl.date = new Date();
        ctrl.filters = null;
        ctrl.formattedDate = '';

        ctrl.$onInit = function() {
            formatDate();

            GeneralFilterOptions.get({}, (data) =>{
                ctrl.filters = data;
            });
        };

        $document.find('input#date').on('change', formatDate);

        function formatDate () {
            $timeout(() => {
                const iso = ctrl.date.toISOString();
                ctrl.formattedDate = iso.slice(8, 10) + '/' + iso.slice(5, 7) + '/' + iso.slice(0, 4);
            });
        }
    }
})();
